Package org.kie.internal.builder

# Enum Class DecisionTableInputType

java.lang.Object
java.lang.Enum<DecisionTableInputType>
org.kie.internal.builder.DecisionTableInputType

All Implemented Interfaces:
  `Serializable`, `Comparable<DecisionTableInputType>`, `Constable`

public enum DecisionTableInputType extends Enum<DecisionTableInputType>

Specifies the type of decision table resource. Currently either XLS or CSV.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CSV`
  `XLS`
  `XLSX`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DecisionTableInputType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DecisionTableInputType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### XLS

    public static final DecisionTableInputType XLS

  - ### XLSX

    public static final DecisionTableInputType XLSX

  - ### CSV

    public static final DecisionTableInputType CSV

- ## Method Details

  - ### values

    public static DecisionTableInputType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DecisionTableInputType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null